<? $options=array() ;
   if ($_GET['operation']=='ping')
   {  echo '[]' ;
      return ;
   }
   /*$JSON_source = file_get_contents("php://input");
   if ($JSON_source)
   { $data_in=load_json_utf8($JSON_source) ;
     $terminal_id=$data_in['args']['id']['terminal'] ;
     if ($terminal_id)
       { $session_name='server-to-term-'.$terminal_id ;
         $options['use_session_id']=$session_name;
       }
   }*/
   include ("ini/patch.php")  ;
   include (_DIR_TO_ENGINE."/i_system.php") ;

   $options['ext'] = 'quiz';
   $options['class_file'] = 'c_services_quiz_server.php';
   $options['class_name'] = 'c_services_quiz_server';

   show_page($options) ;

  function load_json_utf8($content_str)
    {  $bom = chr(0xEF).chr(0xBB).chr(0xBF);
        if(substr_compare($bom, $content_str, 0, strlen($bom)) == 0) $content_str = substr($content_str, strlen($bom));
        return json_decode($content_str,true);
    }
?>